GET /v1/research/{job_id}
Poll deep-research job status.
Cost: Free. Polling a job does not consume credits. See Pricing.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
job_id*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.brime.dev/v1/research/rsh_56924c4ccc5ffed601e617ce4b2bcf4d"{
"job_id": "string",
"status": "queued",
"current_round": 0,
"max_rounds": 0,
"query": "string",
"depth": "basic",
"started_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"answer": "string",
"sources_count": 0,
"steps_count": 0,
"error": {
"code": "string",
"message": "string"
},
"credits_used": 0
}{
"job_id": "string",
"status": "queued",
"current_round": 0,
"max_rounds": 0,
"query": "string",
"depth": "basic",
"started_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"answer": "string",
"sources_count": 0,
"steps_count": 0,
"error": {
"code": "string",
"message": "string"
},
"credits_used": 0
}{
"error": {
"code": "unauthorized",
"message": "Invalid Brime API key."
}
}{
"error": {
"code": "not_found",
"message": "Job not found"
}
}See also: Status & streaming · Errors